networks:
  proxy_net:
    external: yes

services:
  factorio:
   image: factoriotools/factorio:stable
   container_name: factorio_cont
#   ports:
#     - 34197:34197/udp
#    - 27015:27015/tcp

   volumes:
     - ./factorio_vol:/factorio:rw
   restart: always
   networks:
     proxy_net:

# https://github.com/factoriotools/factorio-docker#environment-variables

   environment:
     LOAD_LATEST_SAVE: "true"
     SAVE_NAME: "main"
     UPDATE_MODS_ON_START: "true"
